- Qt 5.15
- Qt Wayland Compositor
- C++ Classes
- QWaylandXdgOutputManagerV1
- Qt 5.15.19 Reference Documentation

# QWaylandXdgOutputManagerV1 Class

Provides an extension for describing outputs in a desktop oriented fashion. More...

Header: | #include <QWaylandXdgOutputManagerV1>
qmake: | QT += waylandcompositor
Since: | Qt 5.14
Instantiated By: | XdgOutputManagerV1
Inherits: | QWaylandCompositorExtensionTemplate

This class was introduced in Qt 5.14.

- List of all members, including inherited members

## Public Functions

| QWaylandXdgOutputManagerV1(QWaylandCompositor *compositor)
| QWaylandXdgOutputManagerV1()

## Reimplemented Public Functions

virtual void | initialize() override

## Static Public Members

const wl_interface * | interface()

## Detailed Description

The QWaylandXdgOutputManagerV1 extension provides a way for a compositor to describe outputs in a way that is more in line with the concept of an output on desktop oriented systems.

Some information may not make sense in other applications such as IVI systems.

QWaylandXdgOutputManagerV1 corresponds to the Wayland interface, `zxdg_output_manager_v1`.

## Member Function Documentation

### QWaylandXdgOutputManagerV1::QWaylandXdgOutputManagerV1(QWaylandCompositor *compositor)

Constructs a QWaylandXdgOutputManagerV1 object for the provided compositor.

### QWaylandXdgOutputManagerV1::QWaylandXdgOutputManagerV1()

Constructs a QWaylandXdgOutputManagerV1 object.

### `[override virtual]` void QWaylandXdgOutputManagerV1::initialize()

Initializes the extension.

### `[static]` const wl_interface *QWaylandXdgOutputManagerV1::interface()

Returns the Wayland interface for QWaylandXdgOutputManagerV1.